Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mycarenet.commons.core.v2
Class CareReceiverIdType

    java.lang.Object
      be.fgov.ehealth.mycarenet.commons.core.v2.CareReceiverIdType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:46+01:00",
               comments="JAXB RI v2.2.11")
    public class CareReceiverIdType

extends Object
implements Serializable

Universal way of identifying a care receiver. A care receiver can be identified in one of the following ways: 1) SSIN only 2) Mutuality code (e.g. 312) and registration number with the mutuality 3) SSIN, Mutuality code (e.g. 312) and registration number with the mutuality. The most common case it the SSIN only.

Java class for CareReceiverIdType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CareReceiverIdType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ssin" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="RegNrWithMut" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Mutuality" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CareReceiverIdType()`

Method Summary
`String` | `getMutuality()` Gets the value of the mutuality property.
`String` | `getRegNrWithMut()` Gets the value of the regNrWithMut property.
`String` | `getSsin()` Gets the value of the ssin property.
`void` | `setMutuality(String value)` Sets the value of the mutuality property.
`void` | `setRegNrWithMut(String value)` Sets the value of the regNrWithMut property.
`void` | `setSsin(String value)` Sets the value of the ssin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CareReceiverIdType

    public CareReceiverIdType()

Method Detail

### getSsin

    public String getSsin()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSsin

    public void setSsin(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

### getRegNrWithMut

    public String getRegNrWithMut()

  Gets the value of the regNrWithMut property.

  Returns:
    possible object is `String`

### setRegNrWithMut

    public void setRegNrWithMut(String value)

  Sets the value of the regNrWithMut property.

  Parameters:
    `value` - allowed object is `String`

### getMutuality

    public String getMutuality()

  Gets the value of the mutuality property.

  Returns:
    possible object is `String`

### setMutuality

    public void setMutuality(String value)

  Sets the value of the mutuality property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.